package adm

import (
	"context"
	"gd_vehicle/apis"
	"gd_vehicle/consts"
	"gd_vehicle/errors"
	dutils "gd_vehicle/utils"
	"strconv"
)

func P10(ctx context.Context, vin string, lReqs *[]apis.ThirdpartLogWrite, providerMap map[string]apis.MerchantProviderLimitInfo, rangeNo int) (str string, err error) {
	if CheckProviderApiIsAvaliable(dutils.ADMP10, providerMap, rangeNo) == nil {
		str, err = (&Adm{
			Ctx: ctx,
			Params: map[string]string{
				"vin": vin,
			},
			Code:     consts.P10,
			LReqs:    lReqs,
			Provider: providerMap[dutils.ADMP10+strconv.Itoa(rangeNo)],
		}).Request()
	} else {
		return str, errors.ProviderUnavailable
	}

	return str, err
}
